import { Nullable, Disposable, IUniverInstanceService } from '@univerjs/core';
import { DataValidatorRegistryService } from '@univerjs/data-validation';
import { IRenderManagerService } from '@univerjs/engine-render';
import { ISheetLocation, SheetsSelectionsService } from '@univerjs/sheets';
import { SheetDataValidationModel } from '@univerjs/sheets-data-validation';
import { SheetCanvasPopManagerService } from '@univerjs/sheets-ui';
import { IZenZoneService } from '@univerjs/ui';
export interface IDropdownParam {
    location: ISheetLocation;
    onHide?: () => void;
    componentKey: string;
    trigger?: 'editor-bridge';
}
export interface IDropdownComponentProps {
    componentKey: string;
    location: ISheetLocation;
    hideFn: () => void;
}
export declare class DataValidationDropdownManagerService extends Disposable {
    private readonly _canvasPopupManagerService;
    private readonly _univerInstanceService;
    private readonly _dataValidatorRegistryService;
    private readonly _zenZoneService;
    private readonly _renderManagerService;
    private readonly _dataValidationModel;
    private readonly _sheetsSelectionsService;
    private _activeDropdown;
    private _activeDropdown$;
    private _currentPopup;
    activeDropdown$: import('rxjs').Observable<Nullable<IDropdownParam>>;
    private _zenVisible;
    get activeDropdown(): Nullable<IDropdownParam>;
    constructor(_canvasPopupManagerService: SheetCanvasPopManagerService, _univerInstanceService: IUniverInstanceService, _dataValidatorRegistryService: DataValidatorRegistryService, _zenZoneService: IZenZoneService, _renderManagerService: IRenderManagerService, _dataValidationModel: SheetDataValidationModel, _sheetsSelectionsService: SheetsSelectionsService);
    private _init;
    private _getDropdownByCell;
    private _initSelectionChange;
    showDropdown(param: IDropdownParam, closeOnOutSide?: boolean): void;
    hideDropdown(): void;
    showDataValidationDropdown(unitId: string, subUnitId: string, row: number, col: number, onHide?: () => void): void;
}
